﻿using System.Windows;
using Telerik.Windows.Controls;

namespace BackgroundIssue
{
    public class ModuleTemplateSelector : DataTemplateSelector
    {
        public DataTemplate ImageTemplate { get; set; }

        public DataTemplate TextTemplate { get; set; }

        public DataTemplate EmptyContentTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item == null)
            {
                return this.EmptyContentTemplate;
            }
            else if (item.ToString() == "string")
            {
                return this.TextTemplate;
            }
            else
            {
                return this.ImageTemplate;
            }
        }
    }
}